local base_param = ...
local sw,sh,scx,scy,songdir,rr,am,bt,hs,pe,hr,ease,wratio,hratio,paraph = base_param.sw,base_param.sh,base_param.scx,base_param.scy,base_param.songdir,base_param.rr,base_param.am,base_param.bt,base_param.hs,base_param.pe,base_param.hr,base_param.ease,base_param.wratio,base_param.hratio,base_param.paraph

return Def.ActorFrame{
Def.ActorMultiVertex{
	MakeFrameCommand=function(self)
		local v = {
			{{ 155+2,-scy*2/3,0}, {1,1,1,1}},
			{{ 155+2,-scy*2/3,0}, {1,1,1,1}},
			{{ 155+2,-scy*2/3,0}, {1,1,1,1}},
			{{ 155+2,-scy*2/3,0}, {1,1,1,1}},
			{{ 155+2,-scy*2/3,0}, {1,1,1,1}},
		}
		self:SetVertices(v):SetDrawState{First=1, Num=-1, Mode='DrawMode_LineStrip'}
		self:SetLineWidth(2):zoom(1/2)
		self:accelerate(bt)
		local v = {
			{{-155-2,-scy*2/3,0}, {1,1,1,1}},
			{{-155-2,-scy*2/3,0}, {1,1,1,1}},
			{{ 155+2,-scy*2/3,0}, {1,1,1,1}},
			{{ 155+2, scy*2/3,0}, {1,1,1,1}},
			{{ 155+2, scy*2/3,0}, {1,1,1,1}},
		}
		self:SetVertices(v)
		self:decelerate(bt)
		local v = {
			{{-155-2, scy*2/3,0}, {1,1,1,1}},
			{{-155-2,-scy*2/3,0}, {1,1,1,1}},
			{{ 155+2,-scy*2/3,0}, {1,1,1,1}},
			{{ 155+2, scy*2/3,0}, {1,1,1,1}},
			{{-155+2, scy*2/3,0}, {1,1,1,1}},
		}
		self:SetVertices(v)
	end,
},
Def.ActorMultiVertex{
	InitializeCommand=function(self)
		local v = {
			{{-155-6, scy*2/3+6,0}, {1,1,1,1}},
			{{-155-6,-scy*2/3-6,0}, {1,1,1,1}},
			{{ 155+6,-scy*2/3-6,0}, {1,1,1,1}},
			{{ 155+6, scy*2/3+6,0}, {1,1,1,1}},
			{{-155-6, scy*2/3+6,0}, {1,1,1,1}},
		}
		self:SetVertices(v)
		self:SetVertices(v):SetDrawState{First=1, Num=-1, Mode='DrawMode_LineStrip'}
		self:SetLineWidth(4):zoom(1/2):diffusealpha(0):visible(false)
	end,
	MakeFrameCommand=function(self)
		self:visible(true)
	end,
	DoCommand=function(self)
		self:finishtweening():zoom(1/2):diffusealpha(1):decelerate(bt):zoom(5/8):diffusealpha(0)
	end,
},
}